<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/categoria.php';
$response = array();

if (isset($_POST['id_categoria'])) {
    $id_categoria = $_POST['id_categoria'];
    $categorias = Categoria::mdlGetCategoriaById($id_categoria);

    if (!$categorias) {
        $response['response'] = 'error';
        $response['data'] = 'No se encontraron categorias';
    } else {
        $response['response'] = 'success';
        $response['data'] = $categorias;
    }
} else {
    $response['response'] = 'error';
    $response['data'] = 'Datos incompletos';
}

echo json_encode($response);
return;